Skip to main content
`Ctrl`+`K`

# petsc4py.PETSc.PC.GASMType

class petsc4py.PETSc.PC.GASMType

  Bases: `object`

  The GASM subtype.

  Attributes Summary

  `BASIC` | Constant `BASIC` of type `int`
  `INTERPOLATE` | Constant `INTERPOLATE` of type `int`
  `NONE` | Constant `NONE` of type `int`
  `RESTRICT` | Constant `RESTRICT` of type `int`

  Attributes Documentation

  BASIC: int = BASIC

    Constant `BASIC` of type `int`

  INTERPOLATE: int = INTERPOLATE

    Constant `INTERPOLATE` of type `int`

  NONE: int = NONE

    Constant `NONE` of type `int`

  RESTRICT: int = RESTRICT

    Constant `RESTRICT` of type `int`

  __init__()
  classmethod __new__(*args, **kwargs)